function [eta_2,P_loss_tot_2,l,D_ag]=...
    lossesP_PS_div(eta_1,P_out_1,l_1,D_ag_1)
global k_ad 

[P_loss_tot_1,P_Cu_1,P_Fe_1,P_ad_1]=loss_division(eta_1,P_out_1);
P_loss_1=P_Cu_1+P_Fe_1;
V_r_1=pi/4*D_ag_1^2*l_1;
A_ag_1=pi*D_ag_1*l_1;

%Set length and diameter range
[l, D_ag]=ranges(l_1,D_ag_1);


V_r_2=pi/4.*l'*D_ag.^2;
A_ag_2=pi*l'*D_ag;

%Scale Losses
P_Cu_2=A_ag_2./A_ag_1.*P_Cu_1;          %Neglecting end winding losses
P_Fe_2=V_r_2./V_r_1.*P_Fe_1;            %2nd order f-dependancy linearized
P_ad_2=k_ad.*(P_Cu_2+P_Fe_2);
P_loss_tot_2=P_Cu_2+P_Fe_2+P_ad_2;

%Scale P_out
P_out_2=V_r_2./V_r_1.*P_out_1;
%P_out_2=A_ag_2./A_ag_1.*P_out_1;

eta_2=zeros(length(l),length(D_ag));
for i=1:length(l)
    for j=1:length(D_ag)
    eta_2(i,j)= P_out_2(i,j)/(P_out_2(i,j)+P_loss_tot_2(i,j));
    end
end
surf(D_ag,l,eta_2)
