function [m_em2,m_cy2,m_beam2,m_tot2]=mass_scale_vAR_PS(m_tot1,k_AR1)
%Mass Scaling for varrying aspect ratio, Constant power:

k_AR_min=0.05;
k_AR_max=1;
n = 20;                                 %resolution

k_AR2=k_AR_min:(k_AR_max-k_AR_min)/n:k_AR_max;

[m_cy1,m_beam1,m_em1]=mass_division(m_tot1); 


% m_em2=zeros(length(k_AR2));
% m_beam2=zeros(length(k_AR2));
m_cy2=zeros(1,length(k_AR2));
% m_tot2=zeros(length(k_AR2));

m_em2=(k_AR2./k_AR1).^(1/3)*m_em1;
m_beam2=(k_AR1./k_AR2).^(11/12)*m_beam1;
m_cy2(1:end)=m_cy1;
m_tot2=m_em2+m_beam2+m_cy2;

