function [m_em2,m_cy2,m_beam2,m_tot2]=mass_scale(m_tot_1,P_1,P_2)
%Constant aspect ratio, varrying power

%TEST VALUES
%m_tot_1=30;
%P_1=2;

[m_cy1,m_beam1,m_em1]=mass_division(m_tot_1);

m_cy2 = m_cy1*(P_2/P_1)^1.5;
m_beam2 = m_beam1*(P_2/P_1)^1.75;
m_em2=m_em1*(P_2/P_1);

m_tot2=m_cy2+m_beam2+m_em2;

%plot(P_2,m_cy2,P_2,m_beam2,P_2,m_em2,P_2,m_tot2)
%legend('m_{cy}','m_{beam}','m_{em}','m_{tot}')